Get internal transactions by address

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

FieldTypeDescription
data[i].internal_tx_idStringThe unique ID for the internal transaction.
data[i].data.noteStringThe type of instruction, such as call, create, suicide, freezeBalanceV2ForEnergy, freezeBalanceV2ForBandwidth, or unfreezeBalanceV2ForBandwidth.
data[i].data.rejectedBooleanWhether the internal transaction failed during execution. true signifies failure.
data[i].block_timestampLongThe block timestamp. (Unit: millisecond)
data[i].to_addressStringThe recipient's address.
data[i].tx_idStringThe transaction hash of the parent transaction that initiated this internal transaction.
data[i].from_addresstringThe sender's address.
successBooleanWhether the API request was successful.
meta.atLongThe API response timestamp. (Unit: millisecond)
meta.page_sizeIntegerThe number of items returned on the current page..
meta.fingerprintStringThe fingerprint for paginating to the next page.
meta.links.nextStringThe URL for the next page of results.
Path Params
string
required

The account address. (Format: Base58 or hex)

Query Params
boolean

Set to true to return only confirmed transactions; set to false to return both confirmed and unconfirmed transactions. Cannot be used simultaneously with only_unconfirmed. (Default: false)

boolean

Set to true to return only confirmed transactions; set to false to return both confirmed and unconfirmed transactions. Cannot be used simultaneously with only_confirmed. (Default: false)

boolean

Set to true to return only transactions sent to the address specified in the path. (Default: false)

boolean

Set to true to return only transactions sent from the address specified in the path. (Default: false)

int32

The maximum number of transactions to return per page. (Default: 20, Max: 200)

string

The fingerprint for pagination, obtained from the meta.fingerprint field of a previous response. Note: When using fingerprint, all other parameters must remain the same.

string

Specifies the sort order. block_timestamp,asc | block_timestamp,desc (default).

date

The minimum block timestamp to filter by. (Unit: milliseconds, Default: 0)

date

The maximum block timestamp to filter by. (Unit: milliseconds, Default: current time)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json